org.apache.cassandra.repair

## Class RepairJob

- java.lang.Object
- - org.apache.cassandra.repair.RepairJob

    public class RepairJob
    extends java.lang.Object

RepairJob runs repair on given ColumnFamily.

### Field Summary

Fields
`RepairJobDesc` `desc`

### Constructor Summary

Constructors
Constructor and Description
`RepairJob(java.util.UUID sessionId, java.lang.String keyspace, java.lang.String columnFamily, Range<Token> range, boolean isSequential, com.google.common.util.concurrent.ListeningExecutorService taskExecutor)` Create repair job to run on specific columnfamily

### Method Summary

Methods
`int` `addTree(java.net.InetAddress endpoint, MerkleTree tree)` Add a new received tree and return the number of remaining tree to be received for the job to be complete.
`boolean` `isFailed()`
`void` `sendTreeRequests(java.util.Collection<java.net.InetAddress> endpoints)` Send merkle tree request to every involved neighbor.
`void` `submitDifferencers()` Submit differencers for running.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### desc

    public final RepairJobDesc desc

### Constructor Detail

#### RepairJob

    public RepairJob(java.util.UUID sessionId,
             java.lang.String keyspace,
             java.lang.String columnFamily,
             Range<Token> range,
             boolean isSequential,
             com.google.common.util.concurrent.ListeningExecutorService taskExecutor)

Create repair job to run on specific columnfamily

### Method Detail

#### isFailed

    public boolean isFailed()

Returns:
  true if this job failed

#### sendTreeRequests

    public void sendTreeRequests(java.util.Collection<java.net.InetAddress> endpoints)

Send merkle tree request to every involved neighbor.

#### addTree

    public int addTree(java.net.InetAddress endpoint,
              MerkleTree tree)

Add a new received tree and return the number of remaining tree to be received for the job to be complete. Callers may assume exactly one addTree call will result in zero remaining endpoints.

Parameters:
  `endpoint` - address of the endpoint that sent response
  `tree` - sent Merkle tree or null if validation failed on endpoint
Returns:
  the number of responses waiting to receive

#### submitDifferencers

    public void submitDifferencers()

Submit differencers for running. All tree *must* have been received before this is called.